=== debian/changelog ===
makedumpfile (1:1.6.7-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Aug 2020 10:53:22 +0200

makedumpfile (1:1.6.7-4) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools: Remove KDUMP_SYSCTL for good
  * kdump-tools: Add sysctl override mechanism
  * kdump-tools: Cope with the lack of initramfs-tools OPTION=VAR feature in Debian

  [ Thadeu Lima de Souza Cascardo ]
  * Add proper dependencies to DEP8 tests

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 04 Aug 2020 17:21:46 -0300

makedumpfile (1:1.6.7-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 13:49:38 +0200

makedumpfile (1:1.6.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1:1.6.4-1, 1:1.6.3-1, 1:1.6.2-
    0.1, 1:1.6.1-1, 1:1.6.0-1, 1:1.5.9-6, 1:1.5.9-1, 1.5.5-2.
  * Fix day-of-week for changelog entry 1:1.5.9-6.

  [ Thadeu Lima de Souza Cascardo ]
  * Fix build with GCC 10 (Closes: #957518)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 28 Jul 2020 21:40:32 -0300

makedumpfile (1:1.6.7-2) unstable; urgency=medium

  * Remove upstart support.
  * Switch to debhelper-compat 12.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 17 Apr 2020 14:12:04 -0300

makedumpfile (1:1.6.7-1ubuntu3) groovy; urgency=medium

  * d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    - Fixing arm64 systems makedumpfile looping forever exhausting
      all memory when filtering kernel core.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 14:36:01 +0100

makedumpfile (1:1.6.7-1ubuntu2) focal; urgency=low

  * debian/control/tests: sleep while waiting for systemd service.
    Also, exit in case the service is not successfully started, and dump
    status output for debugging.
    This is necessary because now that the initrd is not generated during
    postinst, it will be generated when the service is first started, and that
    may delay it for a few seconds.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 17 Mar 2020 16:40:38 -0300

makedumpfile (1:1.6.7-1ubuntu1) focal; urgency=low

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

  [ Dan Streetman ]
  * FeatureFreeze exception note:
    I checked upstream log from 1.6.6-1.6.7 and confirmed this is bugfix-only

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 13 Mar 2020 10:25:32 -0400

makedumpfile (1:1.6.7-1) unstable; urgency=medium

  * Update to new upstream version 1.6.7.
  * Skip initrd generation during postinst. (Closes: #856594)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 02 Mar 2020 04:48:06 -0300

makedumpfile (1:1.6.6-4ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:59 +0000

makedumpfile (1:1.6.6-4ubuntu2) focal; urgency=medium

  * x86_64: Fix an error due to makedumpfile being out-of-sync with recent
    kernels. To achieve that, add the following patch: "Increase
    SECTION_MAP_LAST_BIT to 4". (LP: #1857616)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Fri, 03 Jan 2020 16:57:00 -0300

makedumpfile (1:1.6.6-4ubuntu1) focal; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Use reset_devices as a cmdline parameter. (LP: #1800566)
  * Use kdump-config reload after cpu or memory hotplug. (LP: #1828596)

  [ Guilherme G. Piccoli ]
  * Add a systemd-resolved service dependency in order kdump-tools is able
    to resolve DNS when in kdump boot. (LP: #1856323)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 14:38:51 -0300

makedumpfile (1:1.6.6-2ubuntu1) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Add kdump retry/delay mechanism when dumping over network (LP: #1681909)
  * Allow proper reload of kdump after multiple hotplug events. (LP: #1828596)

  [ Connor Kuehl ]
  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 06 Aug 2019 12:18:15 -0300

makedumpfile (1:1.6.5-1ubuntu3) eoan; urgency=medium

  * debian/kdump-config.in:
    - Add kdump retry/delay mechanism when dumping over network.
      (LP: #1681909)

 -- gpiccoli@canonical.com (Guilherme G. Piccoli)  Thu, 04 Jul 2019 15:20:53 -0300

makedumpfile (1:1.6.5-1ubuntu2) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Use maxcpus instead of nr_cpus on ppc64el. (LP: #1828597)
  * Reload kdump when CPU is brought online. (LP: #1828596)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 14 Jun 2019 10:58:40 -0300
