=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Uploaders: dann frazier <dannf@debian.org>,
 Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 12),
 libelf-dev,
 libz-dev,
 libdw-dev (>= 0.141-2ubuntu1),
 libbz2-dev,
 liblzo2-dev,
 po-debconf
Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
Rules-Requires-Root: no

Package: makedumpfile
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

Package: kdump-tools
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf, linux-base
Recommends: initramfs-tools-core
Description: scripts and tools for automating kdump (Linux crash dumps)
 kdump-tools provides an init script and a configuration script for
 automating the use of kdump.  It uses the makedumpfile utility to
 reduce the size of the /proc/vmcore file based on user preferences.
 .
 After installing, please see /usr/share/doc/kdump-tools/README.Debian
 for information on enabling and configuring kdump.
