=== debian/tests/control ===
Tests: crash
Restrictions: breaks-testbed, needs-root, isolation-machine, needs-reboot
Depends: @, file, initramfs-tools-core
