## makedumpfile 1.6.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.6.7
-DATE=16 Jan 2020
+VERSION=1.6.8
+DATE=16 Nov 2020
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -52,7 +52,7 @@
 
 LIBS = -ldw -lbz2 -ldl -lelf -lz
 ifneq ($(LINKTYPE), dynamic)
-LIBS := -static $(LIBS)
+LIBS := -static $(LIBS) -llzma
 endif
 
 ifeq ($(USELZO), on)
@@ -62,6 +62,9 @@
 
 ifeq ($(USESNAPPY), on)
 LIBS := -lsnappy $(LIBS)
+ifneq ($(LINKTYPE), dynamic)
+LIBS := $(LIBS) -lstdc++
+endif
 CFLAGS += -DUSESNAPPY
 endif
