=== debian/changelog ===
makedumpfile (1:1.6.8-4) unstable; urgency=medium

  [ Ioanna Alifieraki ]
  * Fix failure of dmesg.<timestamp> creation on 5.10+ kernels.
    (Closes: #985896) (LP: #1921403). 
  * Fix makedumpfile failure on arm64 with 5.4 kernels.
    (Closes: #986594) (LP: #1879214)

 -- dann frazier <dannf@debian.org>  Wed, 07 Apr 2021 16:32:38 -0600

makedumpfile (1:1.6.8-3) unstable; urgency=medium

  * Drop kdump-tools, which has been split into its own source package.
  * Change maintainer to Debian Kdump team. Thanks to Louis Bouchard for
    all of his years of work maintaining this package!

 -- dann frazier <dannf@debian.org>  Mon, 18 Jan 2021 07:50:02 -0700

makedumpfile (1:1.6.8-2) unstable; urgency=medium

  * systemd: Use journal for StandardOutput instead of syslog, which
    is deprecated. Thanks to Bryan Quigley. (Closes: #969013)

 -- dann frazier <dannf@debian.org>  Sun, 27 Dec 2020 08:44:02 -0700

makedumpfile (1:1.6.8-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add Homepage field pointing to GitHub page
  * kdump-tools.default: Remove trailing spaces, replace tabs by spaces, and
    remove duplicate settings (Closes: #856935)
  * Fix cleanup if mkinitramfs fails on kernel update
  * Fix all shellcheck issues in Shell scripts
  * Run shellcheck on package build and autopkgtest
  * Add support for FTP uploads (Closes: #856957)
  * Replace bsdmainutils by bsdextrautils (Closes: #964516)
  * Use POSIX shell instead of bash
  * Bump Standards-Version to 4.5.1

  [ dann frazier ]
  * Support dumping kernel via both SSH and NFS
  * Update to new upstream version 1.6.8.

 -- dann frazier <dannf@debian.org>  Tue, 01 Dec 2020 08:34:43 -0700
