## makedumpfile 1.6.9

=== debian/changelog ===
makedumpfile (1.6.9-1.lnd.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:48:37 +0800

makedumpfile (1.6.9-1.lnd.2) unstable; urgency=medium

  * Fix the problem that cannot be used under VMEMMAP
  * Fix _PAGE_HUGE macro definition

 -- Youling Tang <tangyouling@loongson.cn>  Mon, 26 Jul 2021 17:11:51 +0800

makedumpfile (1.6.9-1.lnd.1) unstable; urgency=medium

  * Sync upstream code to v1.6.9
  * Add loongarch64 support

 -- Youling Tang <tangyouling@loongson.cn>  Sat, 22 May 2021 17:11:51 +0800

makedumpfile (1.6.7-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Youling Tang <tangyouling@loongson.cn>  Fri, 22 Jan 2021 09:11:51 +0800
