=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Youling Tang <tangyouling@loongson.cn>
Build-Depends: debhelper (>= 11), libelf-dev, libz-dev, libdw-dev, libbz2-dev, liblzo2-dev
Standards-Version: 4.1.3
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
#Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git

Package: makedumpfile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).
