## makedumpfile 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.6.8
-DATE=16 Nov 2020
+VERSION=1.7.0
+DATE=8 Nov 2021
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -45,9 +45,9 @@
 endif
 
 SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
-SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c
+SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c printk.c
 OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
-SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c
+SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c arch/mips64.c
 OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))
 
 LIBS = -ldw -lbz2 -ldl -lelf -lz
@@ -68,7 +68,21 @@
 CFLAGS += -DUSESNAPPY
 endif
 
-LIBS := -lpthread $(LIBS)
+ifeq ($(USEZSTD), on)
+LIBS := -lzstd $(LIBS)
+CFLAGS += -DUSEZSTD
+endif
+
+ifeq ($(DEBUG), on)
+# Requires libasan
+CFLAGS += -fsanitize=address
+# Requires libubsan
+CFLAGS += -fsanitize=undefined
+# Warning: extremely slow
+#CFLAGS += -fanalyzer
+endif
+
+LIBS := $(LIBS) -lpthread
 
 try-run = $(shell set -e;		\
 	TMP=".$$$$.tmp";		\
