=== debian/changelog ===
makedumpfile (1:1.7.0-1ubuntu0.1) jammy; urgency=medium

  * d/p/lp2038248-fix-wrong-exclusion-of-slab-pages-on-Linux-6.2.patch:
    When using the "makedumpfile -d 8" command,
    exclude user data rather than other slab pages (LP: #2038248)

 -- Chengen Du <chengen.du@canonical.com>  Tue, 10 Oct 2023 13:52:06 +0000

makedumpfile (1:1.7.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:23:20 +0100

makedumpfile (1:1.7.0-1) unstable; urgency=medium

  * Update to new upstream version 1.7.0.
  * Enable zstd support (LP: #1949395).

 -- dann frazier <dannf@debian.org>  Mon, 08 Nov 2021 15:08:22 -0700

makedumpfile (1:1.6.9-1) experimental; urgency=medium

  * Update to new upstream version 1.6.9.

 -- dann frazier <dannf@debian.org>  Thu, 08 Jul 2021 07:29:19 -0600
