=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
Uploaders: dann frazier <dannf@debian.org>,
           Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12),
               libbz2-dev,
               libdw-dev (>= 0.141-2ubuntu1),
               libelf-dev,
               liblzo2-dev,
               libz-dev,
	       libzstd-dev,
Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
Homepage: https://github.com/makedumpfile/makedumpfile
Rules-Requires-Root: no

Package: makedumpfile
Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el s390x x32
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).
