## makedumpfile 1.7.1

=== debian/changelog ===
makedumpfile (1:1.7.1-1) unstable; urgency=medium

  * Update to new upstream version 1.7.1.
  * Bump debhelper-compat to 13:
    - Add a debian/not-installed file.
  * Fix FTCBFS for arm64: Pass a suitable TARGET= to make. Thanks to
    Helmut Grohne (Closes: #989932).

 -- dann frazier <dannf@debian.org>  Fri, 22 Apr 2022 15:35:11 -0600
