## makedumpfile 1.7.2

=== debian/changelog ===
makedumpfile (1:1.7.2-1ubuntu0.1) lunar; urgency=medium

  * d/p/lp2038248-fix-wrong-exclusion-of-slab-pages-on-Linux-6.2.patch:
    When using the "makedumpfile -d 8" command,
    exclude user data rather than other slab pages (LP: #2038248)

 -- Chengen Du <chengen.du@canonical.com>  Tue, 03 Oct 2023 06:26:06 +0000

makedumpfile (1:1.7.2-1) unstable; urgency=medium

  * Update to new upstream version 1:1.7.2.

 -- dann frazier <dannf@debian.org>  Wed, 26 Oct 2022 11:08:46 -0600
