## makedumpfile 1.7.3

=== debian/changelog ===
makedumpfile (1:1.7.3-1) unstable; urgency=medium

  * Update to new upstream version 1.7.3.

 -- dann frazier <dannf@debian.org>  Thu, 28 Sep 2023 14:19:41 -0600
