## makedumpfile 1.7.4

=== debian/changelog ===
makedumpfile (1:1.7.4-1) unstable; urgency=medium

  * Update to new upstream version 1.7.4.
  * Build for riscv64.

 -- dann frazier <dannf@debian.org>  Fri, 10 Nov 2023 00:03:14 +0200
