=== debian/changelog ===
makedumpfile (1:1.7.5-3deepin1) unstable; urgency=medium

  * Add loong64 support

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 30 Jul 2024 11:05:07 +0800

makedumpfile (1:1.7.5-3) unstable; urgency=medium

  * Use installed makedumpfile in autopkgtest.

 -- dann frazier <dannf@debian.org>  Mon, 22 Jul 2024 21:08:21 -0500

makedumpfile (1:1.7.5-2) unstable; urgency=medium

  * Fix regression that broke zstd support starting in 1:1.7.1-1.
    Thank you to Heitor Alves de Siqueira of Canonical.
  * Add autopkgtest to verify compression configuration.

 -- dann frazier <dannf@debian.org>  Tue, 14 May 2024 10:24:50 +0200

makedumpfile (1:1.7.5-1) unstable; urgency=medium

  * Update to new upstream version 1.7.5.

 -- dann frazier <dannf@debian.org>  Fri, 12 Apr 2024 07:57:10 -0600
