=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
+Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
 Uploaders: dann frazier <dannf@debian.org>,
            Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 4.5.1
@@ -19,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: makedumpfile
-Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el s390x x32
+Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 loong64 s390x x32
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)
