=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

MAKE_SETTINGS = LINKTYPE=dynamic USELZO=on USEZSTD=on
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
MAKE_SETTINGS += TARGET=$(DEB_HOST_ARCH)
endif

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SETTINGS)

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp
