=== debian/changelog ===
makedumpfile (1:1.7.6-1) unstable; urgency=medium

  * Update to new upstream version 1.7.6.

 -- dann frazier <dannf@debian.org>  Thu, 24 Oct 2024 12:42:41 -0600
