=== debian/changelog ===
makedumpfile (1:1.7.7-1) unstable; urgency=medium

  * Update to new upstream version 1.7.7.
    - Fixes FTBFS with GCC 15 (Closes: #1097359).

 -- dann frazier <dannf@debian.org>  Sun, 05 Oct 2025 10:15:27 -0600
