=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: makedumpfile
-Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 loong64 s390x x32
+Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 s390x x32
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)
