=== debian/tests/control ===
Test-Command: ./debian/tests/sanity.py -v
Restrictions:
 allow-stderr,
 superficial,
Depends:
 @,
 python3,
